### Method

# Soup Message set_is_top_level_navigation

#### Declaration [src]

    void
    soup_message_set_is_top_level_navigation (
      SoupMessage* msg,
      gboolean is_top_level_navigation
    )

#### Description [src]

Sets whether the current request is a top-level navitation.

See the same-site spec for more information.

Sets property | `Soup.Message:is-top-level-navigation`

#### Parameters

`is_top_level_navigation`

  Type: `gboolean`

  If `TRUE` indicate the current request is a top-level navigation.